CVE-2001-0021
CVSS10.0
发布时间 :2001-02-16 00:00:00
修订时间 :2008-09-05 16:23:04
NMCOE    

[原文]MailMan Webmail 3.0.25 and earlier allows remote attackers to execute arbitrary commands via shell metacharacters in the alternate_template parameter.


[CNNVD]MailMan Webmail漏洞(CNNVD-200102-104)

        MailMan Webmail 3.0.25及其早期版本存在漏洞。远程攻击者借助alternate_template参数的shell元字符执行任意命令。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:endymion:mailman_webmail:3.0.10
cpe:/a:endymion:mailman_webmail:3.0.11
cpe:/a:endymion:mailman_webmail:3.0.21
cpe:/a:endymion:mailman_webmail:3.0.15
cpe:/a:endymion:mailman_webmail:3.0.14
cpe:/a:endymion:mailman_webmail:3.0.19
cpe:/a:endymion:mailman_webmail:3.0.13
cpe:/a:endymion:mailman_webmail:3.0.22
cpe:/a:endymion:mailman_webmail:3.0.25
cpe:/a:endymion:mailman_webmail:3.0.24
cpe:/a:endymion:mailman_webmail:3.0.16
cpe:/a:endymion:mailman_webmail:3.0.23
cpe:/a:endymion:mailman_webmail:3.0.18
cpe:/a:endymion:mailman_webmail:3.0
cpe:/a:endymion:mailman_webmail:3.0.20
cpe:/a:endymion:mailman_webmail:3.0.1
cpe:/a:endymion:mailman_webmail:3.0.12

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0021
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0021
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200102-104
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/2063
(VENDOR_ADVISORY)  BID  2063
http://archives.neohapsis.com/archives/bugtraq/2000-12/0057.html
(VENDOR_ADVISORY)  BUGTRAQ  20001206 (SRADV00005) Remote command execution vulnerabilities in MailMan Webmail
http://xforce.iss.net/static/5649.php
(VENDOR_ADVISORY)  XF  mailman-alternate-templates
http://www.endymion.com/products/mailman/history.htm
(UNKNOWN)  CONFIRM  http://www.endymion.com/products/mailman/history.htm

- 漏洞信息

MailMan Webmail漏洞
危急 未知
2001-02-16 00:00:00 2006-11-14 00:00:00
远程  
        MailMan Webmail 3.0.25及其早期版本存在漏洞。远程攻击者借助alternate_template参数的shell元字符执行任意命令。

- 公告与补丁

        

- 漏洞信息 (20469)

Endymion MailMan 3.0..x Remote Arbitrary Command Execution Vulnerability (EDBID:20469)
unix remote
2000-12-06 Verified
0 Secure Reality Advisories
N/A [点击下载]
source: http://www.securityfocus.com/bid/2063/info


A vulnerability exists in 3.x versions of Endymion MailMan Webmail prior to release 3.0.26.

The widely-used Perl script provides a web-email interface.

Affected versions make insecure use of the perl open() function. Attackers can control the way open() is supposed to work and execute arbitrary commands.

These commands will be executed with the privilege level of the CGI script (commonly user 'nobody'). This vulnerability may allow remote attackers to gain interactive 'local' access on the target server. 

This will execute and echo back the uid.

/mmstdod.cgi?ALTERNATE_TEMPLATES=|%20echo%20"Content-Type:%20text%2Fhtml"%3Becho%20""%20%3B%20id%00 		

- 漏洞信息

465
MailMan Webmail mmstdod.cgi ALTERNATE_TEMPLATES Parameter Arbitrary Command Execution
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

- 时间线

2000-12-06 Unknow
2000-12-06 Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站